export class SkillSheet extends ItemSheet {
    /**@override */
    static get defaultOptions() {
        return foundry.utils.mergeObject(super.defaultOptions, {
            classes: ['dsa41', 'sheet', 'item', 'skill'],
            width: 520,
            height: 480,
            tabs: [
                {
                    navSelector: '.sheet-tabs',
                    contentSelector: '.sheet-body',
                    initial: 'description',
                },
            ],
        });
    }

    /** @override */
    get template() {
        return `systems/DSA_4-1/templates/item/item-skill-sheet.hbs`;
    }

    /** @override */
    getData() {
        // Retrieve the data structure from the base sheet. You can inspect or log
        // the context variable to see the structure, but some key properties for
        // sheets are the actor object, the data object, whether or not it's
        // editable, the items array, and the effects array.
        const context = super.getData();

        // Use a safe clone of the actor data for further operations.
        const skillData = context.data;

        // Add the actor's data to context.data for easier access, as well as flags.
        context.system = skillData.system;
        context.flags = skillData.flags;
        context.categoryOptions = {
            Kampf: "Kampf",
            Körperlich: "Körperlich",
            Gesellschaft: "Gesellschaft",
            Natur: "Natur",
            Wissen: "Wissen",
            Sprachen: "Sprache",
            Schriften: "Schriften",
            Handwerk: "Handwerk"
        }

        return context;
    }

    activateListeners(html) {
        super.activateListeners(html);

        // Everything below here is only needed if the sheet is editable
        if (!this.isEditable) return;
    }

}